Subject: Re: [Manycouches] Making future online meetings work (was:Re: Assessment criteria for decision on in-person/virtual IETF 108)

From: Michael Richardson <[email-masked]>
Date: Sun, 19 Apr 2020 19:52:49 -0400

John C Klensin <[email-masked]> wrote:
    > Hi.  I agree with Kathleen (and one or two others so far) and would
    > like to try to fork this discussion a bit.

Thank you for this.
I think that manycouches would be a better place for this discussion.

    > to do that meeting (and/or 109) online if we need to and what
    > properties are important?  While I think IETF 107 worked well given the
    > short notice and circumstances, I don't think it should automatically
    > set the pattern for what we do with non-f2f meetings in the future (for
    > me, reading through the survey results reinforces that view).  I
    > suggest it actually should not do that.

Q1) will we have a way to run meetecho without a central control point by
   IETF108?  If so, they we should use it.

    > (1) We do, or used to do, a good deal of technical level cross-protocol
    > and cross-area review and interaction.  At least IMO, a great deal of
    > that came from people wandering into f2f WG sessions, sometimes out of
    > curiosity, dragged by others, or for other reasons, on an "I'm here
    > anyway and not very busy, so let's see what is going on" basis.  I can

I largely agree with you.
I think that the "light" scheduling during the original week of IETF107 meant
that BOFs got a lot more attendance from people who might have otherwise been
conflicted.  This is something to be repeated.
I don't think that optimization to enable participation from the far-east
(China, Australia, NZ) worked that well.
It just wound up being "late" for Europeans.
We need to think about this again.

    > (2) We also used to have firm rules that all of our real work was done
    > on mailing lists and Internet-Drafts -- no f2f (with or without
    > subsequent summaries to mailing lists), trackers or github-type
    > arrangements as anything but aids to keeping discussions organized.
    > That model eliminated disadvantages due to choices of time zones and
    > made it fairly easy for someone who was willing to sit down and do
    > several hour's of reading to understand the status of a particular work
    > item and then participate.  At least some people here can remember when
    > the IESG aggressively pushed back on interim meetings (f2f or online),
    > required Ad authorization for each one, banned them from occurring

I disagree with your views on the increase of virtual interims and that it
has resulted in a movement away from emails on the lists.

I think of it rather differently:  it's just group scheduling of open design
teams, and it results in many more people being involved.
My view is that not that many people were really involved on mailing lists
anyway in the past,  but of those who are still trying to be involved
the inability of Outlook users to learn to Usenet Quote means that their
contributions are basically wasted electrons.
And then we have Apple Mail adopting all the bugs, including violating
text/plain's 77 column rule, and "my comments are in red" BS.

So, the only place those people can have useful conversations is on
github issues, and since the issue mutates as new text is pushed, the only
way to usefully collaborate is real time, with a shared screen.

So, don't blame virtual interim meetings for killing email conversations.
Blame lack of email skills.

    > Along the same lines, one of the things that caused IETF 107 to work
    > was dropping all of the scheduled WG meetings, retaining
    > (approximately) only the plenary, some BOFs, and some area
    > DISPATCH-like meetings.  Those were held more or less on Vancouver
    > time, presumably because IETF 107 was supposed to be in Vancouver and

I am spending a lot more time on IETF107 online meetings, with another
approximately 10 days to go, I have another 11 meetings to go.
I wouldn't have made it to all of them at an in-person meeting, because of
conflicts.  Yet, I still missed 6man this time :-)

So I think that I'd rather have the IETF108 online meeting have a slightly
compressed schedule. I think that some meetings scheduled before the plenary
"week" and some after would best.

    > the sessions?  Specifically, should the plenary be repeated three or
    > four times for convenience in different time zones?

No.  The plenary is the meeting of the whole.
If you "repeat" it for multiple time zones, then that's just a meeting of
"Asia-Pacific" or "North-America"

We paid for meetecho, we adapted it to our needs, but then it got pushed out
for an inferior system because a bunch of people who have hardly used webex,
were scared of meetecho, which they had never used.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Mark Andrews <[email-masked]>
Date: Mon, 20 Apr 2020 10:53:12 +1000

> On 20 Apr 2020, at 09:52, Michael Richardson <[email-masked]> wrote:
> 
> 

As someone living in Sydney, it worked fine (we where +11:00 at the time).
For those closer to UTC it would have worked less well (China, India etc.)

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742              INTERNET: [email-masked]

---

From: John C Klensin <[email-masked]>
Date: Sun, 19 Apr 2020 22:37:31 -0400

Michael,

To be clear about two things:

* My purpose was to get that discussion started and, in the
process, reinforce Kathleen's point that maybe we should be
discussing these issues rather than putting as much energy into
assessment criteria as seems to have been going there.     If
you disagree with me, it moves the discussion forward, maybe
even more than if we had agreed.

* As to manycouches, had the discussion been going on there, I
probably would not have posted my note (or posted a different
note) but my main audience, again for getting a discussion
started, was this list and the "assessment criteria.." thread
participants.

best,
   john

--On Sunday, April 19, 2020 19:52 -0400 Michael Richardson
<[email-masked]> wrote:

>     > Hi.  I agree with Kathleen (and one or two others so
> far) and would     > like to try to fork this discussion a bit.
> 
> Thank you for this.
>     > to do that meeting (and/or 109) online if we need to and
> what     > properties are important?  While I think IETF 107
> worked well given the     > short notice and circumstances, I
> don't think it should automatically     > set the pattern for
> what we do with non-f2f meetings in the future (for     > me,
> reading through the survey results reinforces that view).  I
> Q1) will we have a way to run meetecho without a central
> control point by    IETF108?  If so, they we should use it.
> 
>     > (1) We do, or used to do, a good deal of technical level
> cross-protocol     > and cross-area review and interaction.
> At least IMO, a great deal of     > that came from people
> wandering into f2f WG sessions, sometimes out of     >
> curiosity, dragged by others, or for other reasons, on an "I'm
> here     > anyway and not very busy, so let's see what is
> going on" basis.  I can
> 
> I think that the "light" scheduling during the original week
> of IETF107 meant that BOFs got a lot more attendance from
> people who might have otherwise been conflicted.  This is
> something to be repeated.
> I don't think that optimization to enable participation from
> the far-east (China, Australia, NZ) worked that well.
>     > (2) We also used to have firm rules that all of our real
> work was done     > on mailing lists and Internet-Drafts -- no
> f2f (with or without     > subsequent summaries to mailing
> lists), trackers or github-type     > arrangements as anything
> but aids to keeping discussions organized.     > That model
> eliminated disadvantages due to choices of time zones and
> > made it fairly easy for someone who was willing to sit down
> and do     > several hour's of reading to understand the
> status of a particular work     > item and then participate.
> At least some people here can remember when     > the IESG
> aggressively pushed back on interim meetings (f2f or online),
> I disagree with your views on the increase of virtual interims
> and that it has resulted in a movement away from emails on the
> lists.
> 
> I think of it rather differently:  it's just group scheduling
> of open design teams, and it results in many more people being
> involved. My view is that not that many people were really
> involved on mailing lists anyway in the past,  but of those
> who are still trying to be involved the inability of Outlook
> users to learn to Usenet Quote means that their contributions
> are basically wasted electrons.
> And then we have Apple Mail adopting all the bugs, including
> violating text/plain's 77 column rule, and "my comments are in
> red" BS.
> 
> So, the only place those people can have useful conversations
> is on github issues, and since the issue mutates as new text
> is pushed, the only way to usefully collaborate is real time,
> with a shared screen.
> 
> So, don't blame virtual interim meetings for killing email
> conversations. Blame lack of email skills.
> 
>     > Along the same lines, one of the things that caused IETF
> 107 to work     > was dropping all of the scheduled WG
> meetings, retaining     > (approximately) only the plenary,
> some BOFs, and some area     > DISPATCH-like meetings.  Those
> were held more or less on Vancouver     > time, presumably
> because IETF 107 was supposed to be in Vancouver and
> 
> I am spending a lot more time on IETF107 online meetings, with
> another approximately 10 days to go, I have another 11
> meetings to go. I wouldn't have made it to all of them at an
> in-person meeting, because of conflicts.  Yet, I still missed
> 6man this time :-)
> 
> So I think that I'd rather have the IETF108 online meeting
> have a slightly compressed schedule. I think that some
> meetings scheduled before the plenary "week" and some after
> would best.
> 
>     > the sessions?  Specifically, should the plenary be
> repeated three or     > four times for convenience in
> different time zones?
> 
> If you "repeat" it for multiple time zones, then that's just a
> meeting of "Asia-Pacific" or "North-America"
> 
> We paid for meetecho, we adapted it to our needs, but then it
> got pushed out for an inferior system because a bunch of
> people who have hardly used webex, were scared of meetecho,
> which they had never used.
> 
> --
> Michael Richardson <[email-masked]>, Sandelman Software
> Works  -= IPv6 IoT consulting =-